Subject: bug#42501: feature request: exclude-vcs option

From: Paul Eggert <[email-masked]>
Date: Sat, 6 Jul 2024 15:38:40 +0200

On 7/6/24 11:10, Collin Funk wrote:
> But I haven't used those version control systems so I am unsure which
> ones are directories or not.

Yes, it's a bit of a puzzle. But for Git shouldn't we exclude only .git, 
and not .gitignore, .gitattributes, and .gitmodules? Normally these 
files are under Git control so "git grep" will search them, so shouldn't 
grep --exclude-vcs also search them? Similarly for .cvsignore, 
.hgignore, .hgtags.